{smcl}
{* 04jan2013}{...}
{cmd:help lassoiv}{right: ({browse "http://www.dlchen.ethz.ch":Daniel L. Chen: Papers})}
{hline}

{title:Title}

{p2colset 5 16 18 2}{...}
{p2col :{hi:lassoiv} {hline 2}}LASSO IV estimator{p_end}
{p2colreset}{...}

{title:Syntax}

{p 8 17 2}
{cmd:lassoiv}{cmd:,}
{cmd:panel(}{it:varname numeric}{cmd:)}
{cmd:time(}{it:varname numeric}{cmd:)}
{cmd:y(}{it:varname numeric}{cmd:)}
{cmd:x(}{it:varlist numeric}{cmd:)}
{cmd:z(}{it:varlist numeric}{cmd:)} 
[{cmd:minnz(}{it:real 0.05}{cmd:)}
{cmd:w(}{it:varlist numeric min=1}{cmd:)} 
{cmd:xp(}{it:varlist numeric min=1}{cmd:)}]
 
{pstd}See {help lassoiv##remarks:{it:Remarks}} for details on specifying options.

 
{title:Description} 

{p 4 4 2} {cmd:lassoiv} estimates LASSO instruments. For reference, see: http://nber.org/~dlchen/papers/LASSO.pdf

{p 4 4 2} The {cmd:lassoiv} command writes 11 new .dta files to the working directory. The output compares the LASSO estimates with the OLS as well as with the user-chosen set of instruments. 

{title:Options}

{phang} {cmd:panel(}{it:varname numeric}{cmd:)} specifies the variable containing the panel identifier -- e.g. circuit. {it:varname} must be an integer.

{phang} {cmd:time(}{it:varname numeric}{cmd:)} specifies the variable containing the time identifier -- e.g. year. {it:varname} must be an integer.

{phang} {cmd:y(}{it:varname numeric}{cmd:)} specifies the name of the dependent variable. It must be numeric.

{phang} {cmd:x(}{it:varlist numeric}{cmd:)} endogenous variables to be instrumented.

{phang} {cmd:z(}{it:varlist numeric}{cmd:)} set of instruments.

{phang} {cmd:minnz(}{it:real 0}{cmd:)} minimum for the (absolute) mean for an instrument. If omitted, is set to 0.05 by default.

{phang} {cmd:w(}{it:varlist numeric}{cmd:)} control variables.

{phang} {cmd:xP(}{it:varlist numeric}{cmd:)} probability weights. Note that the name "xP" is case sensitive.

{marker remarks}{...}
{title:Remarks}

{pstd}When invoking {cmd:lassoiv} care must be taken to specify the working directory properly, so that pre-existing files are not overwritten. E.g., {cmd: cd}

{pstd}The list of instruments, z, is a simple list of names of numeric variables. All the instruments need to be specified ex ante, before inputting to lassoiv. This includes any transformations of the existing variables (squares, cubes, cross products, etc.)

{pstd}The list of instruments, z, is a simple list of names of numeric variables. Some of the instruments may enter the LASSO function at higher orders -- e.g., you use a variable a, then that same variable squared, cubed, etc. There is no functionality in lassoiv for performing these transformations. Instead, you should first augment the data set by generating any variables for the transformations you need (e.g. {cmd: gen a2=a^2}), then add them to the z list alongside the originals.

{title:Note and warning}

{p 4 4 2}For an application, see {browse "http://www.dlchen.ethz.ch":Daniel L. Chen: Papers}.

{title:Example}

{p 4 8 2}{cmd:. lassoiv, panel(circuit) time(year) y(logpriceindex) x(numpro_casecat_12) z(numpanels1x_noreligion numpanels1x_jd_public) w(missing_cy_12 numcasecat_12) xp(prob_1x_noreligion prob_1x_jd_public)}{p_end} 

{title:Author}

{pstd}Daniel Li Chen{p_end}
{pstd}ETH Zurich{p_end}
{pstd}chendan@ethz.ch{p_end}
{pstd}Jan 2013{p_end}

{title:Also see}  

{p 4 14 2}
Article:  {it:Stata Journal}, volume 11, number 1: {browse "http://www.stata-journal.com/article.html?article=dm0053":dm0053}
